# ReflectionProperty::hasType

(PHP 7 >= 7.4.0)

ReflectionProperty::hasType — Checks if property has a type

### Description

public ReflectionProperty::hasType ( void ) : bool

Checks if the property has a type associated with it.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if a type is specified, `FALSE` otherwise.

### Examples

Example #1 ReflectionProperty::hasType() example

`<?php
class User
{
public string $name;
}
$rp = new ReflectionProperty('User', 'name');
var_dump($rp->hasType());
?>`

The above example will output:

    bool(true)

### See Also

- ReflectionProperty::getType() - Gets a property's type
- ReflectionProperty::isInitialized() - Checks whether a property is initialized